clang 8.0.0

Public Member Functions | Public Attributes | List of all members
llvm::yaml::MappingTraits< clang::tooling::Diagnostic >::NormalizedDiagnostic Class Reference

Helper to (de)serialize a Diagnostic since we don't have direct access to its data members. More...

`#include "clang/Tooling/DiagnosticsYaml.h"`

Collaboration diagram for llvm::yaml::MappingTraits< clang::tooling::Diagnostic >::NormalizedDiagnostic:
[legend]

## Public Member Functions
| NormalizedDiagnostic (const IO &)
| NormalizedDiagnostic (const IO &, const clang::tooling::Diagnostic &D)
clang::tooling::Diagnostic | denormalize (const IO &)

## Public Attributes
std::string | DiagnosticName
clang::tooling::DiagnosticMessage | Message
llvm::StringMap< clang::tooling::Replacements > | Fix
SmallVector< clang::tooling::DiagnosticMessage, 1 > | Notes
clang::tooling::Diagnostic::Level | DiagLevel
std::string | BuildDirectory

## Detailed Description

### template<>
class llvm::yaml::MappingTraits< clang::tooling::Diagnostic >::NormalizedDiagnostic

Helper to (de)serialize a Diagnostic since we don't have direct access to its data members.

Definition at line 41 of file DiagnosticsYaml.h.

## Constructor & Destructor Documentation

## ◆ NormalizedDiagnostic() [1/2]

llvm::yaml::MappingTraits< clang::tooling::Diagnostic >::NormalizedDiagnostic::NormalizedDiagnostic | ( | const IO & |  | ) |
| inline

Definition at line 43 of file DiagnosticsYaml.h.

## ◆ NormalizedDiagnostic() [2/2]

llvm::yaml::MappingTraits< clang::tooling::Diagnostic >::NormalizedDiagnostic::NormalizedDiagnostic | ( | const IO & | ,
|  | const clang::tooling::Diagnostic & | D
| ) |  |
| inline

Definition at line 46 of file DiagnosticsYaml.h.

## Member Function Documentation

## ◆ denormalize()

clang::tooling::Diagnostic llvm::yaml::MappingTraits< clang::tooling::Diagnostic >::NormalizedDiagnostic::denormalize | ( | const IO & |  | ) |
| inline

Definition at line 51 of file DiagnosticsYaml.h.

## Member Data Documentation

## ◆ BuildDirectory

std::string llvm::yaml::MappingTraits< clang::tooling::Diagnostic >::NormalizedDiagnostic::BuildDirectory

Definition at line 61 of file DiagnosticsYaml.h.

## ◆ DiagLevel

clang::tooling::Diagnostic::Level llvm::yaml::MappingTraits< clang::tooling::Diagnostic >::NormalizedDiagnostic::DiagLevel

Definition at line 60 of file DiagnosticsYaml.h.

## ◆ DiagnosticName

std::string llvm::yaml::MappingTraits< clang::tooling::Diagnostic >::NormalizedDiagnostic::DiagnosticName

Definition at line 56 of file DiagnosticsYaml.h.

## ◆ Fix

llvm::StringMap<clang::tooling::Replacements> llvm::yaml::MappingTraits< clang::tooling::Diagnostic >::NormalizedDiagnostic::Fix

Definition at line 58 of file DiagnosticsYaml.h.

## ◆ Message

clang::tooling::DiagnosticMessage llvm::yaml::MappingTraits< clang::tooling::Diagnostic >::NormalizedDiagnostic::Message

Definition at line 57 of file DiagnosticsYaml.h.

## ◆ Notes

SmallVector<clang::tooling::DiagnosticMessage, 1> llvm::yaml::MappingTraits< clang::tooling::Diagnostic >::NormalizedDiagnostic::Notes

Definition at line 59 of file DiagnosticsYaml.h.

The documentation for this class was generated from the following file:

- include/clang/Tooling/DiagnosticsYaml.h